<?php
/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include 'include/cctvai.conn.php';
global $db;
$playmub="100"; //单曲条数
$videomub="100"; //视频条数
$artistmub="100"; //歌手条数
$malbummub="100"; //音乐专辑条数
$valbummub="100"; //视频专辑条数
$newsmub="100"; //文章条数
header("Content-type:text/xml");
$CD_AddTime = date('Y-m-d'); 
echo '<?xml version="1.0" encoding="utf-8"?>
<urlset>
        <url>
          <loc>http://' . cd_weburl . '/</loc>
          <lastmod>'.$CD_AddTime.'</lastmod>
          <changefreq>daily</changefreq>
          <priority>1.0</priority>
        </url>';
//单曲
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('dj') . " where CD_Deleted=0 and CD_Passed=0 order by CD_AddTime desc LIMIT 0,$playmub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("dj", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
//视频
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('video') . " where CD_Deleted=0 and CD_Passed=0 order by CD_AddTime desc LIMIT 0,$videomub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("video", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
//文章
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('news') . " where CD_IsIndex=0 order by CD_AddTime desc LIMIT 0,$newsmub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("news", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
//歌手
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('singer') . " where CD_Passed=0 order by CD_AddTime desc LIMIT 0,$artistmub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("singer", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
//音乐专辑
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('malbum') . " where CD_Passed=0 order by CD_AddTime desc LIMIT 0,$malbummub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("malbum", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
//视频专辑
		$query=$db->query('select CD_ClassID,CD_ID,CD_AddTime from ' . tname('valbum') . " where CD_Passed=0 order by CD_AddTime desc LIMIT 0,$malbummub");
		while($row=$db->fetch_array($query)) {
echo '
        <url>
          <loc>http://' . cd_weburl . ''.LinkUrl("valbum", $row['CD_ClassID'], 1, $row['CD_ID']).'</loc>
          <lastmod>'.date('Y-m-d',strtotime($row['CD_AddTime'])).'</lastmod>
          <changefreq>daily</changefreq>
          <priority>0.8</priority>
        </url>';
}
echo '
</urlset>';
?> 